post
https://api.sigmacomputing.com/v2/reports//copy
This endpoint lets you duplicate an existing report. The report copy can be placed in a different folder from the original report, potentially with a different name and description.
Usage notes
- The
reportIdparameter specifies the original report to be copied. Retrieve the reportId by calling the /v2/reports endpoint. - The
destinationFolderIdin the request body specifies where to place the new report.- To use the "My Documents" folder for a specific user as the destination folder, call the /v2/members/{memberId} endpoint and use the
homeFolderIdincluded in the response. - Retrieve the folderId of all folders by calling the /v2/files endpoint and reviewing the
idfield in the response for files with atypeoffolder.
- To use the "My Documents" folder for a specific user as the destination folder, call the /v2/members/{memberId} endpoint and use the
Usage scenarios
- Reuse report structure: Use an existing report as a baseline to make changes to.
- Backup: Make a backup of a report before making significant changes.
Best practices
- Always verify that the destination folder has the correct permissions set to avoid access issues.
